diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 3aa9b6e..fb70a81 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -366,10 +366,10 @@ of effort. We would like to acknowledge and thank the following people:
 "James Griesmer         Vladimir Grinberg      Oswald Gschnitzer"
 "Jocelyn Guidry"
 "Steve Hague            Satoshi Hamaguchi      Mike Hansen"
-"Richard Harke          Vilya Harvey           Martin Hassner"
-"Arthur S. Hathaway     Dan Hatton             Waldek Hebisch"
-"Karl Hegbloom          Ralf Hemmecke          Henderson"
-"Antoine Hersen         Gernot Hueber"
+"Richard Harke          Bill Hart              Vilya Harvey"
+"Martin Hassner         Arthur S. Hathaway     Dan Hatton"
+"Waldek Hebisch         Karl Hegbloom          Ralf Hemmecke"
+"Henderson              Antoine Hersen         Gernot Hueber"
 "Pietro Iglio"
 "Alejandro Jakubi       Richard Jenks"
 "Kai Kaminski           Grant Keady            Tony Kennedy"
diff --git a/changelog b/changelog
index 0aea284..e118258 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,8 @@
+20100503 bxh src/axiom-website/patches.html 20100503.03.bxh.patch
+20100503 bxh src/axiom-website/documentation.html quote Bill Hart on LP
+20100503 tpd books/bookvol5 add Bill Hart to credits
+20100503 tpd readme add Bill Hart to credits
+20100503 bxh Bill Hart <goodwillhart@googlemail.com>
 20100503 tpd src/axiom-website/patches.html 20100503.02.tpd.patch
 20100503 tpd src/algebra/Makefile help and regression for PACRATC
 20100503 tpd books/bookvol5 expose PACRATC
diff --git a/readme b/readme
index 8c9ad91..06b936c 100644
--- a/readme
+++ b/readme
@@ -220,10 +220,10 @@ at the axiom command prompt will prettyprint the list.
 "James Griesmer         Vladimir Grinberg      Oswald Gschnitzer"
 "Jocelyn Guidry"
 "Steve Hague            Satoshi Hamaguchi      Mike Hansen"
-"Richard Harke          Vilya Harvey           Martin Hassner"
-"Arthur S. Hathaway     Dan Hatton             Waldek Hebisch"
-"Karl Hegbloom          Ralf Hemmecke          Henderson"
-"Antoine Hersen         Gernot Hueber"
+"Richard Harke          Bill Hart              Vilya Harvey"
+"Martin Hassner         Arthur S. Hathaway     Dan Hatton"
+"Waldek Hebisch         Karl Hegbloom          Ralf Hemmecke"
+"Henderson              Antoine Hersen         Gernot Hueber"
 "Pietro Iglio"
 "Alejandro Jakubi       Richard Jenks"
 "Kai Kaminski           Grant Keady            Tony Kennedy"
diff --git a/src/axiom-website/documentation.html b/src/axiom-website/documentation.html
index d209911..81bc3f1 100644
--- a/src/axiom-website/documentation.html
+++ b/src/axiom-website/documentation.html
@@ -144,6 +144,15 @@ a magic trick.</b>
 --Ross Williams, FunnelWeb Tutorial Manual, pg 4.
 <br/><br/>
 <blockquote>
+<b>Another thing I've been enjoying lately is literate programming.
+Amazingly it turns out to be faster to write a literate program than
+an ordinary program because debugging takes almost no time.</b>
+</blockquote>
+<br/>
+--Bill Hart, SAGE Mailing list, May 3, 2010
+<br/><br/>
+
+<blockquote>
 <b>The conversation is much more direct if the Design Concept per se,
 rather than derivative representatives or partial details is the focus.</b>
 </blockquote>
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index d963bfc..4c8f1d7 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2668,6 +2668,8 @@ books/ps/v102pseudoalgebraicclosureofperfectfieldcategory.ps add<br/>
 <a href="patches/20100503.01.tpd.patch">20100503.01.tpd.patch</a>
 books/bookvol10.2 PseudoAlgebraicClosureOfFiniteFieldCategory added
 <a href="patches/20100503.02.tpd.patch">20100503.02.tpd.patch</a>
-books/bookvol10.2 PseudoAlgebraicClosureOfRationalNumberCategory added
+books/bookvol10.2 PseudoAlgebraicClosureOfRationalNumberCategory added<br/>
+<a href="patches/20100503.03.bxh.patch">20100503.03.bxh.patch</a>
+src/axiom-website/documentation.html quote Bill Hart on LP<br/>
  </body>
 </html>
